/**
  *  \file client/tiles/baseheader.h
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_BASEHEADER_H
#define PCC_V2_CLIENT_TILES_BASEHEADER_H

#include "client/tiles/csheader.h"

class WBaseScreenHeaderTile : public WControlScreenHeaderTile {
 public:
    WBaseScreenHeaderTile(GObjectSelection& selection, bool forTask);
    string_t getTitle();
    string_t getSubtitle();
    ResId getPictureId();
};

#endif
