/**
  *  \file game/actions/preconditions.h
  *  \brief Action Preconditions
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_ACTIONS_PRECONDITIONS_H
#define PCC_V2_GAME_ACTIONS_PRECONDITIONS_H

class GShip;
class GPlanet;

void mustBePlayed(const GShip& ship);
void mustBePlayed(const GPlanet& planet);
void mustHavePlayedBase(const GPlanet& planet);
void mustHaveTurn();

#endif
