/**
  *  \file client/dialogs/consoledlg.h
  *  \brief Console Dialog
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_CONSOLEDLG_H
#define PCC_V2_CLIENT_DIALOGS_CONSOLEDLG_H

#include "cpluslib/ptrvector.h"

class UIInputLine;
class IntContext;

void doConsole();
void doComplete(UIInputLine& input, const ptr_vector<IntContext>& contexts, bool onlyCommands);

#endif
